diff --git a/test/test/test_flow_classify.c b/test/test/test_flow_classify.c
index 9f331cd..c8fd5ad 100644
--- a/test/test/test_flow_classify.c
+++ b/test/test/test_flow_classify.c
@@ -51,16 +51,10 @@
 
 
 #define FLOW_CLASSIFY_MAX_RULE_NUM 100
-struct flow_classifier *cls;
-
-struct flow_classifier {
-	struct rte_flow_classifier *cls;
-	uint32_t table_id[RTE_FLOW_CLASSIFY_TABLE_MAX];
-	uint32_t n_tables;
-};
+struct flow_classifier_acl *cls;
 
 struct flow_classifier_acl {
-	struct flow_classifier cls;
+	struct rte_flow_classifier *cls;
 } __rte_cache_aligned;
 
 /*
@@ -73,7 +67,15 @@ test_invalid_parameters(void)
 	struct rte_flow_classify_rule *rule;
 	int ret;
 
-	rule = rte_flow_classify_table_entry_add(NULL, 1, NULL, NULL, NULL,
+	ret = rte_flow_classify_validate(NULL, NULL, NULL, NULL, NULL);
+	if (!ret) {
+		printf("Line %i: rte_flow_classify_validate",
+			__LINE__);
+		printf(" with NULL param should have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(NULL, NULL, NULL, NULL,
 			NULL, NULL);
 	if (rule) {
 		printf("Line %i: flow_classifier_table_entry_add", __LINE__);
@@ -81,7 +83,7 @@ test_invalid_parameters(void)
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(NULL, 1, NULL);
+	ret = rte_flow_classify_table_entry_delete(NULL, NULL);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -89,14 +91,14 @@ test_invalid_parameters(void)
 		return -1;
 	}
 
-	ret = rte_flow_classifier_query(NULL, 1, NULL, 0, NULL, NULL);
+	ret = rte_flow_classifier_query(NULL, NULL, 0, NULL, NULL);
 	if (!ret) {
 		printf("Line %i: flow_classifier_query", __LINE__);
 		printf(" with NULL param should have failed!\n");
 		return -1;
 	}
 
-	rule = rte_flow_classify_table_entry_add(NULL, 1, NULL, NULL, NULL,
+	rule = rte_flow_classify_table_entry_add(NULL, NULL, NULL, NULL,
 		NULL, &error);
 	if (rule) {
 		printf("Line %i: flow_classify_table_entry_add ", __LINE__);
@@ -104,7 +106,7 @@ test_invalid_parameters(void)
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(NULL, 1, NULL);
+	ret = rte_flow_classify_table_entry_delete(NULL, NULL);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -112,7 +114,7 @@ test_invalid_parameters(void)
 		return -1;
 	}
 
-	ret = rte_flow_classifier_query(NULL, 1, NULL, 0, NULL, NULL);
+	ret = rte_flow_classifier_query(NULL, NULL, 0, NULL, NULL);
 	if (!ret) {
 		printf("Line %i: flow_classifier_query", __LINE__);
 		printf(" with NULL param should have failed!\n");
@@ -129,7 +131,8 @@ test_valid_parameters(void)
 	int key_found;
 
 	/*
-	 * set up parameters for rte_flow_classify_table_entry_add and
+	 * set up parameters for rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -142,15 +145,24 @@ test_valid_parameters(void)
 	actions[0] = count_action;
 	actions[1] = end_action;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (ret) {
+		printf("Line %i: rte_flow_classify_validate",
+			__LINE__);
+		printf(" should not have failed!\n");
+		return -1;
+	}
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
+
 	if (!rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should not have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -168,7 +180,8 @@ test_invalid_patterns(void)
 	int key_found;
 
 	/*
-	 * set up parameters for rte_flow_classify_table_entry_add and
+	 * set up parameters for rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -183,15 +196,24 @@ test_invalid_patterns(void)
 
 	pattern[0] = eth_item;
 	pattern[1] = ipv4_udp_item_bad;
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (!ret) {
+		printf("Line %i: rte_flow_classify_validate", __LINE__);
+		printf(" should have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -202,15 +224,24 @@ test_invalid_patterns(void)
 	pattern[1] = ipv4_udp_item_1;
 	pattern[2] = udp_item_bad;
 	pattern[3] = end_item_bad;
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (!ret) {
+		printf("Line %i: rte_flow_classify_validate", __LINE__);
+		printf(" should have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -228,7 +259,8 @@ test_invalid_actions(void)
 	int key_found;
 
 	/*
-	 * set up parameters for rte_flow_classify_table_entry_add and
+	 * set up parameters for rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -241,15 +273,23 @@ test_invalid_actions(void)
 	actions[0] = count_action_bad;
 	actions[1] = end_action;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (!ret) {
+		printf("Line %i: rte_flow_classify_validate", __LINE__);
+		printf(" should have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -260,15 +300,23 @@ test_invalid_actions(void)
 	actions[0] = count_action;
 	actions[1] = end_action_bad;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (!ret) {
+		printf("Line %i: rte_flow_classify_validate", __LINE__);
+		printf(" should have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (!ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -449,7 +497,8 @@ test_query_udp(void)
 		bufs[i]->packet_type = RTE_PTYPE_L3_IPV4;
 
 	/*
-	 * set up parameters for rte_flow_classify_table_entry_add and
+	 * set up parameters for rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -462,15 +511,23 @@ test_query_udp(void)
 	actions[0] = count_action;
 	actions[1] = end_action;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (ret) {
+		printf("Line %i: rte_flow_classify_validate", __LINE__);
+		printf(" should not have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (!rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should not have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classifier_query(cls->cls, 0, bufs, MAX_PKT_BURST,
+	ret = rte_flow_classifier_query(cls->cls, bufs, MAX_PKT_BURST,
 			rule, &udp_classify_stats);
 	if (ret) {
 		printf("Line %i: flow_classifier_query", __LINE__);
@@ -478,7 +535,7 @@ test_query_udp(void)
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -507,7 +564,8 @@ test_query_tcp(void)
 		bufs[i]->packet_type = RTE_PTYPE_L3_IPV4;
 
 	/*
-	 * set up parameters for rte_flow_classify_table_entry_add and
+	 * set up parameters for rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -520,15 +578,23 @@ test_query_tcp(void)
 	actions[0] = count_action;
 	actions[1] = end_action;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (ret) {
+		printf("Line %i: flow_classifier_query", __LINE__);
+		printf(" should not have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (!rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should not have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classifier_query(cls->cls, 0, bufs, MAX_PKT_BURST,
+	ret = rte_flow_classifier_query(cls->cls, bufs, MAX_PKT_BURST,
 			rule, &tcp_classify_stats);
 	if (ret) {
 		printf("Line %i: flow_classifier_query", __LINE__);
@@ -536,7 +602,7 @@ test_query_tcp(void)
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -565,7 +631,8 @@ test_query_sctp(void)
 		bufs[i]->packet_type = RTE_PTYPE_L3_IPV4;
 
 	/*
-	 * set up parameters rte_flow_classify_table_entry_add and
+	 * set up parameters rte_flow_classify_validate,
+	 * rte_flow_classify_table_entry_add and
 	 * rte_flow_classify_table_entry_delete
 	 */
 
@@ -578,15 +645,23 @@ test_query_sctp(void)
 	actions[0] = count_action;
 	actions[1] = end_action;
 
-	rule = rte_flow_classify_table_entry_add(cls->cls, 0, &key_found,
-			&attr, pattern, actions, &error);
+	ret = rte_flow_classify_validate(cls->cls, &attr, pattern,
+			actions, &error);
+	if (ret) {
+		printf("Line %i: flow_classifier_query", __LINE__);
+		printf(" should not have failed!\n");
+		return -1;
+	}
+
+	rule = rte_flow_classify_table_entry_add(cls->cls, &attr, pattern,
+			actions, &key_found, &error);
 	if (!rule) {
 		printf("Line %i: flow_classify_table_entry_add", __LINE__);
 		printf(" should not have failed!\n");
 		return -1;
 	}
 
-	ret = rte_flow_classifier_query(cls->cls, 0, bufs, MAX_PKT_BURST,
+	ret = rte_flow_classifier_query(cls->cls, bufs, MAX_PKT_BURST,
 			rule, &sctp_classify_stats);
 	if (ret) {
 		printf("Line %i: flow_classifier_query", __LINE__);
@@ -594,7 +669,7 @@ test_query_sctp(void)
 		return -1;
 	}
 
-	ret = rte_flow_classify_table_entry_delete(cls->cls, 0, rule);
+	ret = rte_flow_classify_table_entry_delete(cls->cls, rule);
 	if (ret) {
 		printf("Line %i: rte_flow_classify_table_entry_delete",
 			__LINE__);
@@ -622,7 +697,6 @@ test_flow_classify(void)
 
 	cls_params.name = "flow_classifier";
 	cls_params.socket_id = socket_id;
-	cls_params.type = RTE_FLOW_CLASSIFY_TABLE_TYPE_ACL;
 	cls->cls = rte_flow_classifier_create(&cls_params);
 
 	/* initialise ACL table params */
@@ -632,11 +706,11 @@ test_flow_classify(void)
 	memcpy(table_acl_params.field_format, ipv4_defs, sizeof(ipv4_defs));
 
 	/* initialise table create params */
-	cls_table_params.ops = &rte_table_acl_ops,
-	cls_table_params.arg_create = &table_acl_params,
+	cls_table_params.ops = &rte_table_acl_ops;
+	cls_table_params.arg_create = &table_acl_params;
+	cls_table_params.type = RTE_FLOW_CLASSIFY_TABLE_ACL_IP4_5TUPLE;
 
-	ret = rte_flow_classify_table_create(cls->cls, &cls_table_params,
-			&cls->table_id[0]);
+	ret = rte_flow_classify_table_create(cls->cls, &cls_table_params);
 	if (ret) {
 		printf("Line %i: f_create has failed!\n", __LINE__);
 		rte_flow_classifier_free(cls->cls);
diff --git a/test/test/test_flow_classify.h b/test/test/test_flow_classify.h
index 39535cf..af293ed 100644
--- a/test/test/test_flow_classify.h
+++ b/test/test/test_flow_classify.h
@@ -197,7 +197,15 @@ static struct rte_flow_item  sctp_item_1 = { RTE_FLOW_ITEM_TYPE_SCTP,
 /* test actions:
  * "actions count / end"
  */
-static struct rte_flow_action count_action = { RTE_FLOW_ACTION_TYPE_COUNT, 0};
+struct rte_flow_query_count count = {
+	.reset = 1,
+	.hits_set = 1,
+	.bytes_set = 1,
+	.hits = 0,
+	.bytes = 0,
+};
+static struct rte_flow_action count_action = { RTE_FLOW_ACTION_TYPE_COUNT,
+	&count};
 static struct rte_flow_action count_action_bad = { -1, 0};
 
 static struct rte_flow_action end_action = { RTE_FLOW_ACTION_TYPE_END, 0};